Blame 0109-network-use-require_any_binary-instead-of-require_an.patch
|
Harald Hoyer |
4f714a |
From 242c03d6fb45f2a291f2b924dedcf2237ad183ba Mon Sep 17 00:00:00 2001
|
|
Harald Hoyer |
4f714a |
From: Xunlei Pang <xpang@redhat.com>
|
|
Harald Hoyer |
4f714a |
Date: Fri, 19 Aug 2016 13:39:37 +0200
|
|
Harald Hoyer |
4f714a |
Subject: [PATCH] network: use require_any_binary instead of
|
|
Harald Hoyer |
4f714a |
require_any_binaries
|
|
Harald Hoyer |
4f714a |
|
|
Harald Hoyer |
4f714a |
---
|
|
Harald Hoyer |
4f714a |
modules.d/40network/module-setup.sh | 5 +++--
|
|
Harald Hoyer |
4f714a |
1 file changed, 3 insertions(+), 2 deletions(-)
|
|
Harald Hoyer |
4f714a |
|
|
Harald Hoyer |
4f714a |
diff --git a/modules.d/40network/module-setup.sh b/modules.d/40network/module-setup.sh
|
|
Harald Hoyer |
4f714a |
index 0501ffe..4a10cf3 100755
|
|
Harald Hoyer |
4f714a |
--- a/modules.d/40network/module-setup.sh
|
|
Harald Hoyer |
4f714a |
+++ b/modules.d/40network/module-setup.sh
|
|
Harald Hoyer |
4f714a |
@@ -5,7 +5,7 @@ check() {
|
|
Harald Hoyer |
4f714a |
local _program
|
|
Harald Hoyer |
4f714a |
|
|
Harald Hoyer |
4f714a |
require_binaries ip dhclient || return 1
|
|
Harald Hoyer |
4f714a |
- require_any_binaries arping arping2 || return 1
|
|
Harald Hoyer |
4f714a |
+ require_any_binary arping arping2 || return 1
|
|
Harald Hoyer |
4f714a |
|
|
Harald Hoyer |
4f714a |
return 255
|
|
Harald Hoyer |
4f714a |
}
|
|
Harald Hoyer |
4f714a |
@@ -24,7 +24,8 @@ installkernel() {
|
|
Harald Hoyer |
4f714a |
# called by dracut
|
|
Harald Hoyer |
4f714a |
install() {
|
|
Harald Hoyer |
4f714a |
local _arch _i _dir
|
|
Harald Hoyer |
4f714a |
- inst_multiple ip arping arping2 dhclient sed awk
|
|
Harald Hoyer |
4f714a |
+ inst_multiple ip dhclient sed awk
|
|
Harald Hoyer |
4f714a |
+ inst_multiple -o arping arping2
|
|
Harald Hoyer |
4f714a |
inst_multiple -o ping ping6
|
|
Harald Hoyer |
4f714a |
inst_multiple -o brctl
|
|
Harald Hoyer |
4f714a |
inst_multiple -o teamd teamdctl teamnl
|